#ifndef ICONHINT_H
#define ICONHINT_H

#include <QLabel>

class IconHint : public QLabel
{
    Q_OBJECT

public:
    explicit IconHint(QWidget *parent = 0);

    void setHintTitle(const QString &title);

    void setHintText(const QString &text);

    ~IconHint();

private:
    void updateText();

private:
    QString title_;
    QString text_;
};

#endif // ICONHINT_H
